Subject: Re: bug#27872: 26.0.50; freeze when opening file with emojis

From: Nejc Vivod <[email-masked]>
Date: Sun, 30 Jul 2017 14:10:38 +0200

Tried downloading from emacsformacosx.com <http://emacsformacosx.com/> (both the nightly and the stable version), still have the same issue - I’ve also recreated the file with your echo command. Not sure why it breaks like this, since the preinstalled emacs opens the file just fine. 
What I did notice is, it seems to allocate a bunch of memory every second or so when opening that test file (looking at activity monitor -> Info about the process); before I force-killed it, it was taking up 2,39GB of ram and it didn’t seem like it would stop.

I’m attaching a sample of the process, maybe this can be of help. 

Thanks for trying to help!

> On 30 Jul 2017, at 13:55, Alan Third <[email-masked]> wrote:
> 
> On Sun, Jul 30, 2017 at 12:44:24AM +0200, Nejc Vivod wrote:
>> Emacs installed via homebrew (--with-cocoa enabled) freezes with 100%
>> CPU usage when opening a file that contains unicode emojis. Other
>> editors handle the file just fine (and default mac emacs opens it, but
>> doesn't display emojis).
>> Steps to reproduce:
>> 1. emacs -Q
>> 2. open a file that contains a unicode emoji (my test file has a burger icon in it - 🍔)
>> 3. emacs will stop responding and keep the CPU at 100%
> 
> I can’t reproduce this with the master branch. Are you sure it’s just
> the presence of the emoji and not something else?
> 
> I used this command to create a test file:
> 
>    echo "🍔" > /tmp/test.txt
> 
>> Is there a way to at least not display emojis (I’m fine with blocks)?
> 
> GUI Emacs doesn’t display emojis. It’s possible homebrew have included
> a patch to enable them.
> 
> Can you test with a build direct from git, or a nightly build from
> emacsformacosx.com?
> -- 
> Alan Third